---------------------
PatchSet 10832 
Date: 2007/05/24 01:45:03
Author: hno
Branch: HEAD
Tag: (none) 
Log:
Adjust refresh_pattern min-age to make 0 mean 0, not 1 second

Members: 
	src/refresh.cc:1.75->1.76 

Index: squid3/src/refresh.cc
===================================================================
RCS file: /cvsroot/squid/squid3/src/refresh.cc,v
retrieving revision 1.75
retrieving revision 1.76
diff -u -r1.75 -r1.76
--- squid3/src/refresh.cc	30 Apr 2007 16:56:09 -0000	1.75
+++ squid3/src/refresh.cc	24 May 2007 01:45:03 -0000	1.76
@@ -1,6 +1,6 @@
 
 /*
- * $Id: refresh.cc,v 1.75 2007/04/30 16:56:09 wessels Exp $
+ * $Id: refresh.cc,v 1.76 2007/05/24 01:45:03 hno Exp $
  *
  * DEBUG: section 22    Refresh Calculation
  * AUTHOR: Harvest Derived
@@ -216,13 +216,13 @@
      * If we are here, staleness is determined by the refresh_pattern
      * configured minimum age.
      */
-    if (age <= R->min) {
-        debugs(22, 3, "FRESH: age " << age << " <= min " << R->min);
+    if (age < R->min) {
+        debugs(22, 3, "FRESH: age " << age << " < min " << R->min);
         sf->min = true;
         return -1;
     }
 
-    debugs(22, 3, "STALE: age " << age << " > min " << R->min);
+    debugs(22, 3, "STALE: age " << age << " >= min " << R->min);
     return (age - R->min);
 }
 
